{
  "name": "AquaBlueWithFooter",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@fortawesome/fontawesome-svg-core": "^6.1.1",
    "@fortawesome/free-solid-svg-icons": "^6.1.1",
    "@fortawesome/react-fontawesome": "^0.2.0",
    "@testing-library/jest-dom": "^5.16.4",
    "@testing-library/react": "^13.3.0",
    "@testing-library/user-event": "^14.2.5",
    "@ustore/core": "file:./npm_packages/ustore-core-1.0.0.tgz",
    "ajv": "^8.12.0",
    "bootstrap": "^5.3.0",
    "deepcopy": "^2.1.0",
    "glob": "^9.2.1",
    "hashids": "^2.2.10",
    "html-react-parser": "^5.1.0",
    "immer": "^10.0.2",
    "isomorphic-fetch": "^3.0.0",
    "logdown": "^3.3.1",
    "memoize-one": "^6.0.0",
    "mini-css-extract-plugin": "^2.6.1",
    "mobx": "^6.10.0",
    "mobx-react-lite": "^4.0.3",
    "moment": "^2.29.4",
    "path-to-regexp": "^6.2.1",
    "react": "^18.2.0",
    "react-custom-scrollbars-2": "^4.5.0",
    "react-detect-click-outside": "^1.1.7",
    "react-dom": "^18.2.0",
    "react-infinite-scroller": "^1.2.6",
    "react-lazy-load": "^4.0.1",
    "react-lines-ellipsis": "^0.15.1",
    "react-loading-skeleton": "^3.3.1",
    "react-router-dom": "^6.3.0",
    "react-router-hash-link": "^2.4.3",
    "react-scripts": "^5.0.1",
    "react-svg": "^15.1.3",
    "react-swipeable": "^7.0.0",
    "react-transition-group": "^4.4.5",
    "reactstrap": "^9.1.5",
    "resize-observer-polyfill": "^1.5.1",
    "roddeh-i18n": "^1.2.1",
    "throttle-debounce": "^5.0.0",
    "uuid": "^9.0.0",
    "web-vitals": "^2.1.4"
  },
  "lint-staged": {
    "*.js": "eslint"
  },
  "scripts": {
    "build": "cross-env BUILD_PATH='./out' node ./rewire/build.js",
    "publish": "node ./src/ustore-internal/scripts/publish-user.js",
    "republish": "node ./src/ustore-internal/scripts/republish.js",
    "compile_shared_scss": "node ./src/ustore-internal/scripts/compileSharedScssOnPublish.js",
    "start": "cross-env DEPLOY_ENV=dev node ./rewire/start.js"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@babel/plugin-proposal-private-property-in-object": "^7.21.11",
    "archiver": "^5.3.1",
    "child_process": "^1.0.2",
    "cli-color": "^2.0.3",
    "copy-webpack-plugin": "^11.0.0",
    "cross-env": "^7.0.3",
    "cross-spawn": "^7.0.3",
    "dotenv": "^16.0.2",
    "eslint": "^8.30.0",
    "eslint-plugin-react": "^7.31.11",
    "express": "^4.17.1",
    "express-http-proxy": "^1.6.3",
    "fs-extra": "^10.1.0",
    "html-webpack-plugin": "^5.5.0",
    "http-proxy": "^1.18.1",
    "husky": "^8.0.2",
    "lint-staged": "^13.1.0",
    "node-fetch": "^2.6.6",
    "node-sass": "^8.0.0",
    "npm-run-all": "^4.1.5",
    "sass": "^1.55.0",
    "sass-loader": "^13.3.2",
    "webpack-hot-middleware": "^2.25.2"
  },
  "overrides": {
    "autoprefixer": "10.4.5",
    "react-scripts": {
      "@svgr/webpack": {
        "@svgr/plugin-svgo": {
          "svgo": "2.8.0"
        }
      }
    }
  }
}